<script lang="ts">
import Vue from 'vue';
import { MrktoForm } from '../../common/index.vue';

export default Vue.extend({
  name: 'WorldTourForm',
  components: {
    MrktoForm,
  },
  props: {
    header: { type: String, required: true },
    formId: {
      type: String,
      required: true,
      default: '',
    },
    registrationClosed: {
      type: Boolean,
      required: false,
      default: false,
    },
    confirmationMessage: {
      type: String,
      required: false,
      default: '',
    },
    closedRegistrationMessage: {
      type: String,
      required: false,
      default: '',
    },
  },
  data() {
    return {
      submitted: false,
      form_id: this.formId,
    };
  },
  methods: {
    handleSubmit() {
      this.submitted = true;
    },
  },
});
</script>

<template>
  <div id="registration-form" class="form-wrapper">
    <SlpContainer>
      <div class="container">
        <div v-if="!submitted && !registrationClosed">
          <SlpTypography tag="h2" variant="heading2-bold" class="header">{{
            header
          }}</SlpTypography>
          <MrktoForm :data="{ form_id }" @submit="handleSubmit" />
        </div>
        <div v-else-if="registrationClosed" class="confirmation">
          <SlpTypography variant="heading3-bold" tag="h3">
            {{ closedRegistrationMessage }}
          </SlpTypography>
        </div>
        <div v-else class="confirmation form-wrapper__text">
          <div v-html="$md.render(confirmationMessage)"></div>
        </div>
      </div>
    </SlpContainer>
  </div>
</template>

<style lang="scss" scoped>
.form-wrapper {
  background: #5c284c;
  padding: 120px 0;
  .container {
    padding: 46px 92px;
    @media (max-width: $breakpoint-md) {
      padding: 16px;
    }
    background: #1e1525;
    border-radius: 8px 8px 96px 8px;
    .header {
      color: $color-surface-800;
    }
    .confirmation {
      color: $color-surface-800;
      display: flex;
      flex-direction: column;
      align-items: center;
      gap: 68px;
      margin: 160px 0;
    }

    :deep(.form_column) {
      padding: 0 !important;
    }

    :deep(.form_column .form_container) {
      background: transparent;
      .mktoGutter {
        display: none !important;
      }
      color: $color-surface-800;
      padding: 0;
      .mktoForm {
        input,
        select.mktoField,
        .mktoButtonWrap.mktoShadow .mktoButton {
          box-shadow: none !important;
        }
        label.mktoLabel {
          margin-bottom: 8px;
        }
      }
      .mktoForm_container {
        @media (min-width: $breakpoint-md) {
          display: grid;
          grid-template-columns: 1fr 1fr;
          grid-auto-rows: 97px;
          column-gap: 30px;
          row-gap: 16px;

          select {
            border-radius: 4px;
          }

          .mktoHtmlText.mktoHasWidth {
            color: $color-surface-800;
          }
          .mktoFormRow:has(.mktoHtmlText) {
            @media (min-width: $breakpoint-md) {
              grid-column: span 2;
            }
          }

          .mktoFormRow:has(.mktoHtmlText) {
            grid-row: span 2;
          }

          .mktoFormRow:has(input[type='hidden']) {
            display: none;
          }
          #LblcommentCapture {
            text-transform: unset !important;
          }

          div.mktoLogicalField.mktoCheckboxList.mktoHasWidth > label {
            margin-left: -13px;
            &::before {
              box-shadow: none;
            }
          }
          .mktoFormRow:has(.mktoPlaceholder) {
            display: none;
          }
          .mktoFormRow:nth-of-type(12) {
            grid-column: 1/3;
          }

          .mktoButtonRow {
            grid-column: 1/3;
          }
        }
      }
      label,
      .mktoErrorMsg {
        color: $color-surface-800;
      }
      .mktoAsterix {
        display: none;
      }
      .mktoButtonRow span {
        display: flex;
        justify-content: center;
      }
      .mktoButton {
        background: $color-surface-50 !important;
        color: black !important;
        transition: all 0.3s;
        font-family: 'Inter';
        font-style: normal;
        font-weight: 600;
        font-size: 18px;
        line-height: 20px;
        max-width: 250px;
        // &:hover {
        //   background: $color-surface-700 !important;
        //   color: white !important;
        //   color: $color-text-300;
        // }
      }
    }
  }
  &__text {
    :deep {
      h3 {
        font-size: 40px;
        line-height: 48px;
        font-weight: 400;
        letter-spacing: -1.4px;
        margin-bottom: 32px;
      }
      p {
        font-size: 20px;
        line-height: 24px;
        font-weight: 400;
      }
    }
  }
}
</style>
